/*** Auffllen der ausgelassenen 
     Werte ***/

data Patient_History_xt;
 set Patient_History;

 retain pnr_tmp 
        age_tmp 
        sex_tmp ;
 *** Speichere Stammdaten;
 if not missing(pnr) then do;
          pnr_tmp=pnr;
		  age_tmp=age;
		  sex_tmp=sex;
	end;
 *** Fge Stammdaten ein;
 else do;
         pnr=pnr_tmp;
		 age=age_tmp;
		 sex=sex_tmp;
      end;
 drop   pnr_tmp age_tmp sex_tmp ;
run;

/*** Berechnen der abgeleiteten 
     Variablen ***/ 
data Patient_History_xt
     Patient_LastSeen;
 set Patient_History_xt;
 by pnr;

 *** Verwende die DIF Funktion 
     fr rollierende Differenzen;
 Chol_Change_LastVisit=dif(chol);

 *** Initialisiere Werte fr 
     jeden Patienten;
 retain Chol_Baseline;
 if first.pnr then do;
                  Visit_Nr = 1;
                  Chol_Baseline = chol;
		   		  Chol_Change_LastVisit=.;
        end;

 *** bei Folgebeobachtungen;
 else do;
    Visit_Nr+1;
    Chol_Change_Baseline =chol-Chol_Baseline;
 end;
 

 *** Ausgabe der Daten;
 output Patient_History_xt;
 if last.pnr then output Patient_LastSeen;
run;



